#ifndef ETMISS_ANALYSIS_H_
#define ETMISS_ANALYSIS_H_

#include "baseAnalysis.h"

// forward declarations
namespace HepMC {
  class GenEvent;
}
class TH1D;

class EtMissAnalysis: public baseAnalysis
{
public:
  EtMissAnalysis();
  virtual ~EtMissAnalysis();
  
  virtual int Init(double tr_max_eta, double tr_min_pt);
  virtual int Process(HepMC::GenEvent* hepmcevt);
  
private:
  TH1D *m_METTruthX; 
  TH1D *m_METTruthY; 
  TH1D *m_METTruth; 
  TH1D *m_METSumTruth; 
};

#endif    // ETMISS_ANALYSIS_H_

