#include <stdio.h>
#include <vector>
#include <string>
#include <iostream>
#include <fstream>

void  readConfigFile(std::vector< std::string >* inputlines , std::string configfile){
    std::string line;
    std::ifstream myfile (configfile.c_str());
    if (myfile.is_open())
	{
	    // read line by line of the file
	    while (! myfile.eof() )
		{
		    // write read lines into string line
		    getline (myfile,line);

		    // check for Comments. Remove everything from the position of the character "#"
		    if(line.find("#") != std::string::npos) 
			line.replace(line.find("#"), line.length()-line.find("#"),"");

		    // remove whitespaces from the beginning of the line
		    //while(line[0]==std::string(" ")) line.replace(0,1, "");

		    // skip empty lines
		    if(line.empty()) continue;

		    // fill lines in vector
		    inputlines->push_back(line);
		}

	    myfile.close();
	}
    else std::cout << "Unable to open file " << configfile << std::endl; 

}

