#!/usr/bin/env python

import os
import sys

if __name__ == '__main__':
    
    plotsuf = ['gif', 'jpg', 'png']

    scriptname=sys.argv[0]
    scriptpath=scriptname.split("/mkHTML.py")[0]
    files = os.listdir(scriptpath)
    cwd = os.getcwd()

    ausgabe = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n\
    <html xmlns="http://www.w3.org/1999/xhtml">\n\
    <head>\n\
    <style type="text/css">\n\
    <!--\n\
    body {position: absolute; background: white; margin: 0; padding: 0;}\n\
    div#images {width: 130;}\n\
    div#images a p img {height: 0; width: 0; border-width: 0;}\n\
    div#images a:hover p img {position: fixed; top: 157px; left: 600px; height: 372px; width: 596px;}\n\
    -->\n\
    </style>\n\
    <title>Plots in Directory %s</title>\n\
    </head>\n\
    <body>\n\
    <a href="./.." target="_top">Parent Directory</a>\n\
    <!--h1> <fonts style="position:fixed; top:0%%; left:45%%"> Validation plots </h1-->\n\
    <div id="images">\n\
    <table>\n\
    <tr>\n' % cwd
        
    plots = []
    alreadyexists = 0
    
    for file in files:
        if (file.split('.')[-1]) not in plotsuf:
            continue
        else:
            for file2 in plots:
                if (file.split('.')[0] == file2.split('.')[0]):
                    alreadyexists = 1
                    break
            if (alreadyexists == 0):
                plots.append(file)
            alreadyexists = 0

    
    i = 0
    j = 0
    ausgabe2 = ""
    ausgabe1 = ""

    plotsuf2 = plotsuf
    plotsuf2.append('eps');
    plotsuf2.append('tiff');
    
    for plot in plots:
        ausgabe1 += '        <td><a href="./%s" target="plots"><img src="%s" height=120 width=160></a></td>\n' % (plot,plot)
        ausgabe2 += '<td>'
        for suffix in plotsuf2:
            if (plot.split('.')[0]+"."+suffix) in files:
                ausgabe2 += '        <a href="./%s" target="_top">%s</a>' % (plot.split('.')[0]+"."+suffix,suffix)
        ausgabe2 += '</td>\n'
        i += 1
        j += 1
        if (i % 2) == 0:
            ausgabe += ausgabe2
            ausgabe += '</tr>\n  <tr>'
            ausgabe += ausgabe1
            ausgabe += '</tr>\n  <tr>'
            ausgabe1 = ""
            ausgabe2 = ""
    if (j % 2) == 1:
        ausgabe += ausgabe2
        ausgabe += '</tr>\n  <tr>'
        ausgabe += ausgabe1
        ausgabe += '</tr>\n  <tr>'
        ausgabe1 = ""
        ausgabe2 = ""
            
    ausgabe += '</tr>    </table>\n     </div>\n  </body>\n'
#    ausgabe += "     <iframe src=\"./frames.html\" name=\"fenster\"  style=\"position:fixed; left:400px; top:20%; height: 80%; width:80%; border-width: 0;\" ></iframe>\n"
    ausgabe +='</html>\n'
                
plotsdir = open(scriptpath+'/overview.html', 'w+')
plotsdir.write(ausgabe)
plotsdir.close()

plotsdir = open(scriptpath+'/empty.html', 'w+')
plotsdir.write('<html>\n  <center> <pre> \n \n \n No histogram selected \n </pre>  </center> </html>')
plotsdir.close()

indexausgabe = ""
indexausgabe += '<html>\n'
indexausgabe += '  <head>\n'
indexausgabe += '    <title>Validation plots</title>\n'
indexausgabe += '  </head>\n'
indexausgabe += '  <frameset cols="370,*">\n'
indexausgabe += '    <frame src="overview.html" name="overview">\n'
indexausgabe += '  <frameset rows="180,*">\n'
indexausgabe += '    <frame src="analysis.html" name="analysis">\n'
indexausgabe += '    <frame src="empty.html" name="plots">\n'
indexausgabe += '  <noframes>\n'
indexausgabe += '    Ihr Browser kann keine Frames!\n'
indexausgabe += '  </noframes>\n'
indexausgabe += '  </frameset>\n'
indexausgabe += '</html>\n'

plotsdir = open(scriptpath+'/index.html', 'w+')
plotsdir.write(indexausgabe)
plotsdir.close()

indexausgabe = ""

analysises = ['Analysis_DiJet', 'Analysis_Tau', 'Analysis_Top', 'Analysis_UE', 'Analysis_WplusJet', 'Analysis_Z', 'Analysis_EtMiss', 'Analysis_ElasScat']
processes = ['Process_DiJet', 'Process_Tau', 'Process_Top', 'Process_UE', 'Process_WplusJet', 'Process_ZplusJet', 'Process_singleW', 'Process_singleZ', 'Process_ElasScat']
generators = ['Pythia6', 'Pythia8', 'Herwigpp', 'fHerwig', 'Cascade']


#check which analysis was used in the scriptpath
j=0
for i in scriptpath:
    if scriptpath[j:j+14] == analysises[0]:
        analysis = analysises[0]
        j=j+1
    elif scriptpath[j:j+12] == analysises[1]:
        analysis = analysises[1]
        j=j+1
    elif scriptpath[j:j+12] == analysises[2]:
        analysis = analysises[2]
        j=j+1
    elif scriptpath[j:j+11] == analysises[3]:
        analysis = analysises[3]
        j=j+1
    elif scriptpath[j:j+17] == analysises[4]:
        analysis = analysises[4]
        j=j+1
    elif scriptpath[j:j+10] == analysises[5]:
        analysis = analysises[5]
        j=j+1
    elif scriptpath[j:j+15] == analysises[6]:
        analysis = analysises[6]
        j=j+1        
    elif scriptpath[j:j+17] == analysises[7]:
        analysis = analysises[7]
        j=j+1        
    else:
        j=j+1

#check which process was used
j=0
for i in scriptpath:
    if scriptpath[j:j+13] == processes[0]:
        process = processes[0]
        j=j+1
    elif scriptpath[j:j+11] == processes[1]:
        process = processes[1]
        j=j+1
    elif scriptpath[j:j+11] ==  processes[2]:
        process = processes[2]
        j=j+1
    elif scriptpath[j:j+10] ==  processes[3]:
        process = processes[3]
        j=j+1
    elif scriptpath[j:j+16] == processes[4]:
        process = processes[4]
        j=j+1
    elif scriptpath[j:j+16] == processes[5]:
        process = processes[5]
        j=j+1
    elif scriptpath[j:j+15] == processes[6]:
        process = processes[6]
        j=j+1
    elif scriptpath[j:j+15] == processes[7]:
        process = processes[7]
        j=j+1
    elif scriptpath[j:j+16] == processes[8]:
        process = processes[8]
        j=j+1
    else:
        j=j+1

#check which generator was used
j=0
for i in scriptpath:
    if scriptpath[j:j+7] == generators[0]:
        generator = generators[0]
        j=j+1
    elif scriptpath[j:j+7] == generators[1]:
        generator = generators[1]
        j=j+1
    elif scriptpath[j:j+8] == generators[2]:
        generator = generators[2]
        j=j+1
    elif scriptpath[j:j+7] == generators[3]:
        generator = generators[3]
        j=j+1
    elif scriptpath[j:j+7] == generators[4]:
        generator = generators[4]
        j=j+1        
    else:
        j=j+1

analysisausgabe = ""
analysisausgabe += '<html>\n'
analysisausgabe += '  <head>\n'
analysisausgabe += '    <title>Process and analysis</title>\n'
analysisausgabe += '  </head>\n'
analysisausgabe += '  <body>\n'
analysisausgabe += '    <h1> <fonts style="position:fixed; top:0%; left:45%"> Validation plots </h1> <br><br>\n'
analysisausgabe += '  For these plots the following setup was used:<br>\n'
#analysisausgabe += '    <a href="./Pythia8Process_top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'



#checking which Process.config (setup) file was used
#analysis diJet
if analysis == analysises[0]:
    if process == processes[0] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_DiJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[0] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_DiJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[0] and generator == generators[2]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/HerwigppProcess_DiJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[0] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_DiJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[0] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_DiJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'

#analysis Tau
if analysis == analysises[1]:
    if process == processes[1] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_Tau.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[1] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_Tau.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[1] and generator == generators[2]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/HerwigppProcess_Tau.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[1] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_Tau.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[1] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_Tau.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'        

#analysis Top
if analysis == analysises[2]:
    if process == processes[2] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_Top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[2] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_Top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[2] and generator == generators[2]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/HerwigppProcess_Top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[2] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_Top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[2] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_Top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'                

#analysis UE
if analysis == analysises[3]:
    if process == processes[0] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_DiJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[0] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_DiJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[0] and generator == generators[2]:
    #    analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[0] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_DiJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[0] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_DiJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
        
    elif process == processes[1] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_Tau.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[1] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_Tau.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[1] and generator == generators[2]:
    #    analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[1] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_Tau.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[1] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_Tau.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    
    elif process == processes[2] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_Top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[2] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_Top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[2] and generator == generators[2]:
    #    analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[2] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_Top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[2] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_Top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    
    #elif process == processes[3] and generator == generators[0]:
    #        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[3] and generator == generators[1]:
    #        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[3] and generator == generators[2]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/HerwigppProcess_UE.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[3] and generator == generators[3]:
    #    analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[3] and generator == generators[4]:
    #    analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
        
    elif process == processes[4] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_WplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[4] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_WplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[4] and generator == generators[2]:
    #    analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[4] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_WplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[4] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_WplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    
    elif process == processes[5] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_ZplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[5] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_ZplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[5] and generator == generators[2]:
    #        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[5] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_ZplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[5] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_ZplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    
    elif process == processes[6] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_singleW.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[6] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_singleW.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[6] and generator == generators[2]:
    #        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[6] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_singleW.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[6] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_singleW.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    
    elif process == processes[7] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_singleZ.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[7] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_singleZ.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[7] and generator == generators[2]:
    #    analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[7] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_singleZ.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[7] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_singleZ.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    

#analysis WplusJet
if analysis == analysises[4]:
    if process == processes[4] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_WplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[4] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_WplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[4] and generator == generators[2]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/HerwigppProcess_WplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[4] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_WplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[4] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_WplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'        
    elif process == processes[6] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_singleW.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[6] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_singleW.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[6] and generator == generators[2]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/HerwigppProcess_singleW.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[6] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_singleW.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[6] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_singleW.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'    

#analysis Z
if analysis == analysises[5]:
    if process == processes[5] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_ZplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[5] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_ZplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[5] and generator == generators[2]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/HerwigppProcess_ZplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[5] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_ZplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[5] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_ZplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'        
    elif process == processes[7] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_singleZ.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[7] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_singleZ.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[7] and generator == generators[2]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/HerwigppProcess_singleZ.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[7] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_singleZ.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[7] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_singleZ.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'

#analysis EtMiss
if analysis == analysises[6]:
    if process == processes[0] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_DiJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[0] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_DiJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[0] and generator == generators[2]:
    #    analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[0] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_DiJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[0] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_DiJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
        
    elif process == processes[1] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_Tau.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[1] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_Tau.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[1] and generator == generators[2]:
    #    analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[1] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_Tau.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[1] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_Tau.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    
    elif process == processes[2] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_Top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[2] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_Top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[2] and generator == generators[2]:
    #    analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[2] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_Top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[2] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_Top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    
    #elif process == processes[3] and generator == generators[0]:
    #        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[3] and generator == generators[1]:
    #        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[3] and generator == generators[2]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/HerwigppProcess_UE.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[3] and generator == generators[3]:
    #    analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[3] and generator == generators[4]:
    #    analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
        
    elif process == processes[4] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_WplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[4] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_WplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[4] and generator == generators[2]:
    #    analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[4] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_WplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[4] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_WplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    
    elif process == processes[5] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_ZplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[5] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_ZplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[5] and generator == generators[2]:
    #        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[5] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_ZplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[5] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_ZplusJet.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    
    elif process == processes[6] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_singleW.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[6] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_singleW.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[6] and generator == generators[2]:
    #        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[6] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_singleW.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[6] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_singleW.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    
    elif process == processes[7] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_singleZ.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[7] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_singleZ.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    #elif process == processes[7] and generator == generators[2]:
    #    analysisausgabe += '    <a href="../../HepMC_Config_Scripts/" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[7] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_singleZ.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[7] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_singleZ.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'

#analysis ElasScat
if analysis == analysises[7]:
    if process == processes[8] and generator == generators[0]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia6Process_ElasScat.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[8] and generator == generators[1]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_ElasScat.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[8] and generator == generators[2]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/HerwigppProcess_ElasScat.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[8] and generator == generators[3]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/fHerwigProcess_ElasScat.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'
    elif process == processes[8] and generator == generators[4]:
        analysisausgabe += '    <a href="../../HepMC_Config_Scripts/CascadeProcess_ElasScat.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'

  

#analysisausgabe += '    <a href="../../HepMC_Config_Scripts/Pythia8Process_Top.config" target="plots"> configuration </a> of the process (analysis kind, steering file, etc.) <br>\n'

#checking which process was used
if process == processes[0] and generator == generators[0]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia6__diJet_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[0] and generator == generators[1]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia8__diJet_8cmnd-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[0] and generator == generators[2]:
   analysisausgabe += '    <a href="../../Doxygen/html/Herwigpp__dijet_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[0] and generator == generators[3]:
   analysisausgabe += '    <a href="../../Doxygen/html/Herwig__dijet_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[0] and generator == generators[4]:
   analysisausgabe += '    <a href="../../Doxygen/html/Cascade__dijet_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'   
elif process == processes[1] and generator == generators[0]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia6__tau_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[1] and generator == generators[1]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia8__tau_8cmnd-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[1] and generator == generators[2]:
   analysisausgabe += '    <a href="../../Doxygen/html/Herwigpp__tau_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[1] and generator == generators[3]:
   analysisausgabe += '    <a href="../../Doxygen/html/Herwig__tau_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[1] and generator == generators[4]:
   analysisausgabe += '    <a href="../../Doxygen/html/Cascade__tau_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[2] and generator == generators[0]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia6__top_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[2] and generator == generators[1]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia8__top_8cmnd-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[2] and generator == generators[2]:
   analysisausgabe += '    <a href="../../Doxygen/html/Herwigpp__top_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[2] and generator == generators[3]:
   analysisausgabe += '    <a href="../../Doxygen/html/Herwig__top_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[2] and generator == generators[4]:
   analysisausgabe += '    <a href="../../Doxygen/html/Cascade__Top_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
#elif process == processes[3] and generator == generators[0]:
#   analysisausgabe += '    <a href="../../Doxygen/html/" target="plots"> steering </a> of the generating process <br>\n'
#elif process == processes[3] and generator == generators[1]:
#   analysisausgabe += '    <a href="../../Doxygen/html/" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[3] and generator == generators[2]:
   analysisausgabe += '    <a href="../../Doxygen/html/Herwigpp__UE_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
#elif process == processes[3] and generator == generators[3]:
#   analysisausgabe += '    <a href="../../Doxygen/html/Herwig__UE_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
#elif process == processes[3] and generator == generators[4]:
#   analysisausgabe += '    <a href="../../Doxygen/html/Cascade__UE_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'   
elif process == processes[4] and generator == generators[0]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia6__WplusJet_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[4] and generator == generators[1]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia8__WplusJet_8cmnd-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[4] and generator == generators[2]:
   analysisausgabe += '    <a href="../../Doxygen/html/Herwigpp__WplusJet_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[4] and generator == generators[3]:
   analysisausgabe += '    <a href="../../Doxygen/html/Herwig__WplusJet_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[4] and generator == generators[4]:
   analysisausgabe += '    <a href="../../Doxygen/html/Cascade__WplusJet_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'   
elif process == processes[5] and generator == generators[0]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia6__ZplusJet_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[5] and generator == generators[1]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia8__ZplusJet_8cmnd-source.html" target="plots"> steering </a> of the generating process <br>\n'
#elif process == processes[5] and generator == generators[2]:
#   analysisausgabe += '    <a href="../../Doxygen/html/" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[5] and generator == generators[3]:
   analysisausgabe += '    <a href="../../Doxygen/html/Herwig__ZplusJet_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[5] and generator == generators[4]:
   analysisausgabe += '    <a href="../../Doxygen/html/Cascade__ZplusJet_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[6] and generator == generators[0]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia6__singleW_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[6] and generator == generators[1]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia8__singleW_8cmnd-source.html" target="plots"> steering </a> of the generating process <br>\n'
#elif process == processes[6] and generator == generators[2]:
#   analysisausgabe += '    <a href="../../Doxygen/html/" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[6] and generator == generators[3]:
   analysisausgabe += '    <a href="../../Doxygen/html/Herwig__singleW_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[6] and generator == generators[4]:
   analysisausgabe += '    <a href="../../Doxygen/html/Cascade__singleW_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[7] and generator == generators[0]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia6__singleZ_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[7] and generator == generators[1]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia8__singleZ_8cmnd-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[7] and generator == generators[2]:
   analysisausgabe += '    <a href="../../Doxygen/html/Herwigpp__singleZ_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[7] and generator == generators[3]:
   analysisausgabe += '    <a href="../../Doxygen/html/Herwig__singleZ_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[7] and generator == generators[4]:
   analysisausgabe += '    <a href="../../Doxygen/html/Cascade__singleZ_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
#elif process == processes[8] and generator == generators[0]:
#   analysisausgabe += '    <a href="../../Doxygen/html/Pythia6__ElasScat_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
elif process == processes[8] and generator == generators[1]:
   analysisausgabe += '    <a href="../../Doxygen/html/Pythia8__ElasScat_8cmnd-source.html" target="plots"> steering </a> of the generating process <br>\n'
#elif process == processes[8] and generator == generators[2]:
#   analysisausgabe += '    <a href="../../Doxygen/html/Herwigpp__ElasScat_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
#elif process == processes[8] and generator == generators[3]:
#   analysisausgabe += '    <a href="../../Doxygen/html/Herwig__ElasScat_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'
#elif process == processes[8] and generator == generators[4]:
#   analysisausgabe += '    <a href="../../Doxygen/html/Cascade__ElasScat_8config-source.html" target="plots"> steering </a> of the generating process <br>\n'

#analysisausgabe += '    <a href="../../Doxygen/html/Pythia8__top_8cmnd-source.html" target="plots"> steering </a> of the generating process <br>\n'
#analysisausgabe += '    <a href="../../Doxygen/html/classbaseAnalysis.html" target="plots"> source code </a> of the analysis\n'

#checking which analysis was used
if analysis == analysises[0]:
    analysisausgabe += '    <a href="../../Doxygen/html/DiJetAnalysis_8cc-source.html" target="plots"> source code </a> of the analysis\n'
elif analysis == analysises[1]:
    analysisausgabe += '    <a href="../../Doxygen/html/TauAnalysis_8cc-source.html" target="plots"> source code </a> of the analysis\n'
elif analysis == analysises[2]:
    analysisausgabe += '    <a href="../../Doxygen/html/TopAnalysis_8cc-source.html" target="plots"> source code </a> of the analysis\n'
elif analysis == analysises[3]:
    analysisausgabe += '    <a href="../../Doxygen/html/UEAnalysis_8cc-source.html" target="plots"> source code </a> of the analysis\n'
elif analysis == analysises[4]:
    analysisausgabe += '    <a href="../../Doxygen/html/WplusJetAnalysis_8cc-source.html" target="plots"> source code </a> of the analysis\n'
elif analysis == analysises[5]:
    analysisausgabe += '    <a href="../../Doxygen/html/ZAnalysis_8cc-source.html" target="plots"> source code </a> of the analysis\n'
elif analysis == analysises[6]:
    analysisausgabe += '    <a href="../../Doxygen/html/EtMissAnalysis_8cc-source.html" target="plots"> source code </a> of the analysis\n'
elif analysis == analysises[7]:
    analysisausgabe += '    <a href="../../Doxygen/html/ElasScatAnalysis_8cc-source.html" target="plots"> source code </a> of the analysis\n'

analysisausgabe += '  </body>\n'
analysisausgabe += '</html>\n'

plotsdir = open(scriptpath+'/analysis.html', 'w+')
plotsdir.write(analysisausgabe)
plotsdir.close()

analysisausgabe = ""
