#ifndef JET_FINDER_H_
#define JET_FINDER_H_

/**
 
 @class JetFinder.h                                                  
 @brief This class is used for finding jets in hepmc based validation

 Init() is used to initialise some values
                                                                       
 @author Sebastian Johnert, March 2009

*/

#include "baseAnalysis.h"

class JetFinder: public baseAnalysis
{
public:
  JetFinder();
  virtual ~JetFinder();
  
  virtual int Init(double tr_max_eta, double tr_min_pt);

private:
  
};

#endif    // JET_FINDER_H_

