#ifndef USER_ANALYSIS_H_
#define USER_ANALYSIS_H_

#include "baseAnalysis.h"

// forward declarations
namespace HepMC {
  class GenEvent;
}
class TH1D;

class UserAnalysis: public baseAnalysis
{
public:
  UserAnalysis();
  virtual ~UserAnalysis();

  virtual int Init(double tr_max_eta, double tr_min_pt);
  virtual int Process(HepMC::GenEvent* hepmcevt);
  
private:
  TH1D *m_h_njets;
};

#endif      // USER_ANALYSIS_H_

